iMacros/Palemoon no longer supported?

Discussions and Tech Support specific to the iMacros Firefox add-on.
Forum rules
Before asking a question or reporting an issue:
1. Please review the list of FAQ's.
2. Use the search box (at the top of each forum page) to see if a similar problem or question has already been addressed.
3. Try searching the iMacros Wiki - it contains the complete iMacros reference as well as plenty of samples and tutorials.
4. We can respond much faster to your posts if you include the following information: CLICK HERE FOR IMPORTANT INFORMATION TO INCLUDE IN YOUR POST
Post Reply
rethinkreality
Posts: 30
Joined: Thu Nov 12, 2015 9:50 pm

iMacros/Palemoon no longer supported?

Post by rethinkreality » Tue Feb 16, 2016 7:15 am

Palemoon v. 26.0.3
iMacros 8.8.1.1 - 8.8.5.1
Windows 7 64bit

Scripts that worked yesterday, no longer function. (.iim's and .js's)

TypeError: Downloads.getList is not a function (Error code: -1001)



(EDIT)
iMacros version 8.5.3.1 worked though. Will the number keep going lower?
If you want help, make sure to add this information. If you don't, answers may not work for your specific setup.
- (F)CIM = (Full) Config Info Missing: iMacros + Browser + OS with all Versions
chivracq
Posts: 9515
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: iMacros/Palemoon no longer supported?

Post by chivracq » Wed Feb 17, 2016 12:14 am

rethinkreality wrote:Palemoon v. 26.0.3
iMacros 8.8.1.1 - 8.8.5.1
Windows 7 64bit

Scripts that worked yesterday, no longer function. (.iim's and .js's)

TypeError: Downloads.getList is not a function (Error code: -1001)

(EDIT)
iMacros version 8.5.3.1 worked though. Will the number keep going lower?
Last Version known to work on Pale Moon is iMacros for FF v8.8.2. This Version is very stable and is available from the iMacros for FF Mozilla Add-on Gallery and from the iMacros for FF Version History Page (at my Request as it is the Version that I use myself...). Direct Link to the v8.8.2 Version '.xpi' File.

My Current FCI: iMacros for FF v8.8.2, PM v24.6.2 (=FF31 Patch Level), Win7-x64.
Some other User reported a few weeks ago that v8.8.2 works as well on some PM v25.7 or v25.8 Version as well...
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
zhedielj
Posts: 19
Joined: Wed Apr 02, 2014 3:08 pm

Re: iMacros/Palemoon no longer supported?

Post by zhedielj » Fri Jun 17, 2016 7:10 am

PM v24.6.2 (=FF31 Patch Level)
Could you share this patch file? or that just add the FF31 agent.
chivracq
Posts: 9515
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: iMacros/Palemoon no longer supported?

Post by chivracq » Fri Jun 17, 2016 2:48 pm

zhedielj wrote:PM v24.6.2 (=FF31 Patch Level)
Could you share this patch file? or that just add the FF31 agent.
There is no "Patch File", what I meant (my Post was from Feb 2016 and the FCI I was using (and still on some Win7-x64 Laptop) was already several months old from the time when I had updated PM) was that PM was at the same (Security) Patch Level like FF31 at that time.

My Current FCI is now iMacros for FF v8.8.2 on PM v26.1.1 (Win10-x64), and PM v26.1.1 is at the same Patch Level like FF43. (Current FF Version is FF46/47.) There is a PM v26.2.2 which is at FF46/47 Patch Level but I haven't tried it yet...
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
Post Reply